#
# spec file for package gnome-utils (Version 1.4.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile e2fsprogs-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel guile gxmhtml imlib imlib-devel indent libglade libglade-devel libgpp libgtop libgtop-devel libjpeg libpng libtiff libungif libxml libxml-devel orbit orbit-devel readline readline-devel scrollkeeper xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs e2fsprogs-devel esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel guile gxmhtml gzip imlib imlib-devel indent kbd less libglade libglade-devel libgpp libgtop libgtop-devel libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline readline-devel rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnome-utils
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:	GPL
Group:		X11/GNOME/Base
Requires:	gnome-libs gnome-core
Obsoletes:	gnadmin
Obsoletes:	gnutils
Provides:       gnutils
Autoreqprov:	on
Version:      1.4.0.2
Release:      129
Summary:      GNOME utilities
Source:	      ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
Patch0:       po-destdir.dif
Patch1:       gdict-startup-patch.dif
Patch2:       gfloppy.dif
Patch4:       gnome-utils-include.dif
Patch5:       icons.dif
Patch6:       glade-dir.dif
Patch7:       gfloppy-icon.dif
URL:          http://www.gnome.org
BuildRoot:    /var/tmp/gnome-utils-root
Docdir:       %{_defaultdocdir}/gnome

%description
A couple of utilities for the GNOME desktop (gedit, gdiskfree, ...)

Authors:
--------
    Arturo Espinosa <arturo@nuclecu.unam.mx>
    Carsten Schaar <nhadcasc@fs-maphy.uni-hannover.de>
    Federico Mena Quintero <federico@nuclecu.unam.mx>
    George Lebl <jirka@5z.com>
    Gregory McLean <gregm@comstar.net>
    Havoc Pennington <hp@pobox.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Manish Singh <yosh@gimp.org>
    Martin Baulig <baulig@merkur.uni-trier.de>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Raja R Harinath <harinath@cs.umn.edu>
    Tom Tromey <tromey@cygnus.com>

SuSE series: gnm

%prep
%setup -q 
# %patch0
%patch1 -p 1
%patch2
%patch4
%patch5 -p 1
%patch6 -p 1
%patch7 -p 1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=%{prefix} \
    --sysconfdir=%{sysconfdir}
make clean
make CFLAGS="$RPM_OPT_FLAGS"  

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%config %{sysconfdir}/CORBA/servers/*
%{prefix}/bin/*
%{prefix}/share/applets/*/*
%{prefix}/share/gcolorsel
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome-utils
%{prefix}/share/idl/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/logview
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*
%{prefix}/share/stripchart

%changelog -n gnome-utils
* Mon Sep 24 2001 - hhetter@suse.de
- changed gfloppy.desktop file to use an icon
  (closes Bug id #11169)
* Wed Jul 04 2001 - hhetter@suse.de
- update to 1.4.0.2
* Tue Jun 26 2001 - hhetter@suse.de
- scrollkeeper support
- update to 1.4.0.1
* Fri Apr 20 2001 - hhetter@suse.de
- provide icons for gless and idetool
* Thu Mar 22 2001 - hhetter@suse.de
- update to 1.4.0
- filelist review
* Tue Mar 06 2001 - egger@suse.de
- Updated to version 1.3.2.
- Corrected specfile accordingly.
- Added patch to make install in po/ respect DESTDIR.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sat Feb 17 2001 - egger@suse.de
- Updated to version 1.3.1.
* Fri Feb 09 2001 - ro@suse.de
- fixed include in gfloppy
* Fri Dec 29 2000 - egger@suse.de
- Reworked specfile.
- Fixed filelist.
- Recompressed package with bzip2.
- Use proper CFLAGS.
- Fixed to build.
* Wed Dec 20 2000 - hhetter@suse.de
- Fixed .desktop file for GDict
* Mon Dec 11 2000 - egger@suse.de
- Reworked specfile.
- Fixed filelist.
* Thu Nov 09 2000 - ro@suse.de
- spec-file rework for Obsoletes/Provides
* Thu Nov 09 2000 - ro@suse.de
- neededforbuild ext2fs_d -> e2fsprogs-devel
* Wed Nov 08 2000 - ro@suse.de
- added esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Sep 26 2000 - egger@suse.de
- Remove gnobjc from #neededforbuild for a better build on ia64.
* Mon Jul 17 2000 - ke@suse.de
- update to version 1.2.1.
* Thu Jun 08 2000 - ke@suse.de
- Add Obsoletes "gnadmin".
* Fri May 26 2000 - ke@suse.de
- update to version 1.2.0.
* Mon May 15 2000 - ke@suse.de
- add gxmhtml to neededforbuild.
- apply intl patch to make DESTDIR work.
* Fri Apr 28 2000 - ke@suse.de
- update to the released version 1.1.0.
- /usr/doc -> /usr/share/doc.
- remove gnappld from neededforbuild.
- for the moment disable gfloppy.
- add libxml and libxmld to neededforbuild.
* Tue Apr 18 2000 - ke@suse.de
- update to version 1.1.0 (from CVS 2000-04-18).
- Cleanup up the spec file.
* Wed Oct 13 1999 - ke@suse.de
- update: version 1.0.50.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 05 1999 - ke@suse.de
- update: version 1.0.12.
- use libungif instead of libgif.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- update: version 1.0.0.
* Tue Mar 02 1999 - ke@suse.de
- update: version 1.0.0 (pre).
* Tue Feb 16 1999 - ke@suse.de
- use sysconfdir=/etc/opt/gnome
* Sun Feb 14 1999 - ke@suse.de
- update: version 0.99.8.
* Thu Feb 11 1999 - ke@suse.de
- update: version 0.99.6.
* Wed Feb 03 1999 - ke@suse.de
- update: version 0.99.5.
- two or three progs refuse to build (including gtt).
- new gnutils.test.
* Fri Jan 22 1999 - ke@suse.de
- update: version 0.99.3.
* Sun Jan 10 1999 - ke@suse.de
- update: version 0.99.1.
- make it BuildRoot.
* Thu Nov 19 1998 - ro@suse.de
- package version 0.30
